Subject: Re: AGL 692 DX TOYOTA COROLLA LAPO GODDEY WORKSHOP JO 67428
From: Raphael Peter <[email-masked]>
To: Lucky Umuokoro <[email-masked]>
Cc: Folashade Odutola <[email-masked]>, Benedict Ochade <[email-masked]>, Okoroafor Igwe <[email-masked]>
Date: Thu, 29 Jan 2026 14:08:05 +0000

30,000.00 Approved.

Regards,

Raphael Peter

Risk & Control

C & I Leasing PLC | Off Bisola Durosimi Erri Drive, Lekki Phase 1. Lagos

07031704068 & 08036360053, | [email-masked]

[A white square with blue and black logo  Description automatically generated]

________________________________
From: Lucky Umuokoro <[email-masked]>
Sent: Thursday, January 29, 2026 2:39 PM
To: Raphael Peter <[email-masked]>
Cc: Folashade Odutola <[email-masked]>; Benedict Ochade <[email-masked]>; Okoroafor Igwe <[email-masked]>
Subject: Re: AGL 692 DX TOYOTA COROLLA LAPO GODDEY WORKSHOP JO 67428

Dear Raphael,

Kindly approve for further processing.

Best Regards,

Umukoro Efemena Lucky.
Maintenance Officer| C & I Leasing | 1 Emovon Cresent Off Ihama Road, Benin City.
07031719577| [email-masked]<http://shaba,[email-masked]/> | www.c-ileasing.com<http://www.cileasing.com/>

[A white square with black and yellow text  Description automatically generated]

________________________________
From: Okoroafor Igwe <[email-masked]>
Sent: Thursday, January 29, 2026 2:27 PM
To: Lucky Umuokoro <[email-masked]>
Cc: Raphael Peter <[email-masked]>; Folashade Odutola <[email-masked]>; Benedict Ochade <[email-masked]>
Subject: RE: AGL 692 DX TOYOTA COROLLA LAPO GODDEY WORKSHOP JO 67428

Dear Lucky,

Kindly use of this approval.

Name of Workshop

GODDEY WORKSHOP

Veh Reg No

AGL 692  DX

Veh Make

TOYOTA CONQUEST

JO No

 67428

S/No

Description of Items

Qty

Amount

Maintenance Officer Approval

HOD

Control

1

SET OF PLUG

18,000.00

10,000

2

1 PLUG COIL

25,000.00

15,000

3

LABOR

10,000.00

5,000

TOTAL

53,000.00

NGN30,000

Best Regards

Igwe Leonard Okoroafor

Fleet Maintenance  | C & I Leasing | Off Bisola Durosinmi Etti Drive, Lekki Phase 1. Lagos

08172116412| [email-masked]<mailto:[email-masked]> | www.c-ileasing.com<http://www.cileasing.com/>

[A white square with black and yellow text    Description automatically generated]

From: Lucky Umuokoro <[email-masked]>
Sent: Thursday, 29 January 2026 13:18
To: Okoroafor Igwe <[email-masked]>
Cc: Raphael Peter <[email-masked]>; Folashade Odutola <[email-masked]>; Benedict Ochade <[email-masked]>
Subject: AGL 692 DX TOYOTA COROLLA LAPO GODDEY WORKSHOP JO 67428

Good afternoon, sir!

Kindly find the table for your approval.

Name of Workshop

GODDEY WORKSHOP

Veh Reg No

AGL 692  DX

Veh Make

TOYOTA CONQUEST

JO No

 67428

S/No

Description of Items

Qty

Amount

Maintenance Officer Approval

HOD

Control

1

SET OF PLUG

18,000.00

2

1 PLUG COIL

25,000.00

3

LABOR

10,000.00

TOTAL

53,000.00

Best Regards,

Umukoro Efemena Lucky.

Maintenance Officer| C & I Leasing | 1 Emovon Cresent Off Ihama Road, Benin City.

07031719577| [email-masked]<http://shaba,[email-masked]/> | www.c-ileasing.com<http://www.cileasing.com/>

[A white square with black and yellow text  Description automatically generated]